MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024211Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-09-30 14:022014-03-28 08:29
Reporterbugmaster 
Assigned Tobugmaster 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024211: Definition of Basic Runtime Check parameter causes regression in debug mode
DescriptionDefinition of Basic Runtime Check parameter to 3 or Both (/RTC1, equiv. to /RTCsu) in generated VC projects cause regression in debug mode.

See:
http://occt-tests/IR-2013-09-27-IR-2013-09-27-occt-deb/Windows-32-VC9/summary.html [^]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024048closedibs Open CASCADE "Basic Runtime Checks" option of VS projects should be equal to "RTC1" 

-  Notes
(0025883)
nbv (developer)
2013-10-04 09:11

CR24211_3 is ready to review.
(0025907)
ifv (developer)
2013-10-04 17:25

IntCurve_IntPolyPolyGen.gxx can be removed from patch because it is fully covered by integerated in master fix for 24195.

Working with infinite values in GProp_SGProps.gxx can be optimized.
(0025909)
nbv (developer)
2013-10-04 18:35

CR24211_4 is ready to review.

Dears testers (mkv, apn).

In this branch file IntCurve_IntPolyPolyGen.gxx is deleted at the instance of ifv (to avoid of problems with future rebasing). Therefore, this branch should be tested after integration in master fix for 24195. Otherwise, this branch fixes the bug partly.
(0025910)
ifv (developer)
2013-10-04 18:46

Ok
(0025932)
nbv (developer)
2013-10-07 11:11
edited on: 2013-10-07 11:11

About performance:

Try (de iges_1 A2):

------------
ReadIges D_First //VIRTEX/dn43/occt_tests_data/private/old/iges/buc40130.igs
XGetOneShape r D_First
dchrono cr1 reset
dchrono cr1 start
sprops r 1e-12
dchrono cr1 stop

dchrono cr1 show
------------

Result on master is:
"Elapsed time: 0 Hours 0 Minutes 50.2638591702 Seconds
CPU user time: 50.046875 seconds
CPU system time: 0 seconds "

Result on CR24211_4 is:
"Elapsed time: 0 Hours 0 Minutes 52.1231431794 Seconds
CPU user time: 51.90625 seconds
CPU system time: 0 seconds "

I don' think, performance is increased greatly (~ 4%).

(0025944)
mkv (tester)
2013-10-08 07:58

Dear BugMaster,

Branch CR24211_4 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 07d05d2154fc6032aa0115be481b918f5a4e2edc

Number of compiler warnings:

occt component :
Linux: (424 on master)
Windows: 9 (9 on master)

products component :
Linux: (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 367132696 / 367240552
Total CPU difference: 41009.080000000795 / 44590.05000000126

Testing on Windows:
Total MEMORY difference: 432706504 / 433538708
Total CPU difference: 49499.515625 / 41903.34375

There are not differences in images found by testdiff.

- Related Changesets
occt: master c63628e8
Timestamp: 2013-10-04 14:26:23
Author: nbv
Committer: bugmaster
Details ] Diff ]
0024211: Definition of Basic Runtime Check parameter causes regression in debug mode

Out of ChoixRef array boundaries.
Uninitialized variable in IntCurve_IntPolyPolyGen::findIntersect(...) function.
Handling of infinity numbers in sprops command is added.
test (CPU-limit)
mod - src/GProp/GProp_SGProps.gxx Diff ] File ]
mod - src/IntImp/IntImp_Int2S.gxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking_1.gxx Diff ] File ]
mod - tests/bugs/modalg_1/bug19793_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-30 14:02 bugmaster New Issue
2013-09-30 14:02 bugmaster Assigned To => abv
2013-09-30 14:03 bugmaster Status new => assigned
2013-09-30 15:19 abv Relationship added child of 0024048
2013-09-30 15:34 abv Assigned To abv => nbv
2013-09-30 15:34 abv Priority normal => high
2013-10-04 09:11 nbv Note Added: 0025883
2013-10-04 09:11 nbv Status assigned => resolved
2013-10-04 15:01 nbv Assigned To nbv => ifv
2013-10-04 17:25 ifv Note Added: 0025907
2013-10-04 17:25 ifv Assigned To ifv => nbv
2013-10-04 17:25 ifv Status resolved => feedback
2013-10-04 18:35 nbv Note Added: 0025909
2013-10-04 18:35 nbv Assigned To nbv => ifv
2013-10-04 18:35 nbv Status feedback => resolved
2013-10-04 18:46 ifv Note Added: 0025910
2013-10-04 18:46 ifv Status resolved => reviewed
2013-10-07 08:33 mkv Assigned To ifv => mkv
2013-10-07 11:11 nbv Note Added: 0025932
2013-10-07 11:11 nbv Note Edited: 0025932 View Revisions
2013-10-07 12:19 bugmaster Category OCCT Release:WOK => OCCT:Modeling Algorithms
2013-10-08 07:58 mkv Note Added: 0025944
2013-10-08 08:00 mkv Test case number => Not needed
2013-10-08 08:00 mkv Assigned To mkv => bugmaster
2013-10-08 08:00 mkv Status reviewed => tested
2013-10-11 13:35 bugmaster Changeset attached => occt master c63628e8
2013-10-11 13:35 bugmaster Status tested => verified
2013-10-11 13:35 bugmaster Resolution open => fixed
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0
2014-03-28 08:29 vsr Relationship added parent of 0024484


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker